Bug 246765 (CVE-2007-3503) - CVE-2007-3503 HTML files generated with Javadoc are vulnerable to a XSS
Summary: CVE-2007-3503 HTML files generated with Javadoc are vulnerable to a XSS
Status: CLOSED ERRATA
Alias: CVE-2007-3503
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://sunsolve.sun.com/search/docume...
Whiteboard: impact=low,source=cve,reported=200707...
Keywords: Security
Depends On: 250784 250974 250975 251133 251313 251314
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-04 18:03 UTC by Red Hat Product Security
Modified: 2016-03-04 10:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 04:57:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0818 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2007-08-06 15:55:10 UTC
Red Hat Product Errata RHSA-2007:0829 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2007-08-07 19:36:59 UTC
Red Hat Product Errata RHSA-2007:0956 normal SHIPPED_LIVE Moderate: java-1.5.0-bea security update 2007-10-16 07:08:21 UTC

Description Lubomir Kundrak 2007-07-04 18:03:45 UTC
Description of problem:

Sun issued an update 102958 addressing a cross-site scripting flaw in javadoc
generated html files that reportedly affect java 1.5.0.11 and earlier.
I am not aware of any details.

Version-Release number of selected component (if applicable):

        Affects: RHEL4-EXTRAS-U5

Additional info:

As I know no details, I am not able to say whether IBM java is also affected.

Comment 7 Red Hat Bugzilla 2009-10-23 19:05:11 UTC
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Comment 8 Vincent Danen 2013-04-12 04:57:42 UTC
The list of fixed products with their respective errata is here:

https://access.redhat.com/security/cve/CVE-2007-3503


Note You need to log in before you can comment on or make changes to this bug.